Page MenuHomePhabricator

[Sanitizer Common] Show command used to launch symbolizer process at high verbosity level.
ClosedPublic

Authored by delcypher on Apr 6 2020, 7:21 PM.

Details

Summary

In preparation for writing a test for a bug fix we need to be able to
see the command used to launch the symbolizer process. This feature
will likely be useful for debugging how the Sanitizer's use the
symbolizer in general.

This patch causes the command line used to launch the process to be
shown at verbosity level 3 and higher.

A small test case is included.

Diff Detail

Event Timeline

delcypher created this revision.Apr 6 2020, 7:21 PM
Herald added a project: Restricted Project. · View Herald TranscriptApr 6 2020, 7:21 PM
Herald added a subscriber: Restricted Project. · View Herald Transcript
This revision is now accepted and ready to land.Apr 6 2020, 8:02 PM
yln accepted this revision.Apr 7 2020, 11:08 AM
yln added inline comments.
compiler-rt/test/sanitizer_common/TestCases/symbolize_debug_argv.cpp
2

-USHARED_LIB: probably a refactoring leftover?

delcypher marked an inline comment as done.Apr 7 2020, 5:16 PM
delcypher added inline comments.
compiler-rt/test/sanitizer_common/TestCases/symbolize_debug_argv.cpp
2

Oops yes. I'll fix that.

delcypher updated this revision to Diff 255866.Apr 7 2020, 5:18 PM

Remove unneeded macro undefinition.

@eugenis @vitalybuka @kcc Is it okay to land this?

delcypher updated this revision to Diff 255867.Apr 7 2020, 5:21 PM

Tweak description.

yln accepted this revision.Apr 8 2020, 5:13 PM
This revision was automatically updated to reflect the committed changes.